Tool: delete_transfer_config
Delete a transfer configuration.
The following example shows a MCP call to delete a transfer configuration by its resource name.
delete_transfer_config(name="projects/myproject/locations/myregion/transferConfigs/mytransferconfig")
The following sample demonstrate how to use curl to invoke the delete_transfer_config MCP tool.
| Curl Request |
|---|
curl --location 'https://bigquerydatatransfer.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "delete_transfer_config", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
A request to delete data transfer information. All associated transfer runs and log messages will be deleted as well.
DeleteTransferConfigRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the resource to delete. If you are using the regionless method, the location must be
If you are using the regionalized method, the name should be in the following form:
|
Output Schema
A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:
service Foo {
rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}
Tool Annotations
Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌